Package: groovy.console.ui

## [Groovy] Class TreeNodeWithProperties

- groovy.console.ui.TreeNodeWithProperties

-     @CompileStatic
      class TreeNodeWithProperties
      extends DefaultMutableTreeNode

  This class is a TreeNode and you can store additional properties on it.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class DefaultMutableTreeNode` | `EMPTY_ENUMERATION`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<List<?>>` | `properties` Additional properties associated with this tree node.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `TreeNodeWithProperties(Object userObject, List<List<?>> properties)` Creates a tree node and attaches properties to it.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getPropertyValue(String name)` Returns the value of the named property.
    `` | `boolean` | `isClassNode()` Indicates whether this node represents a class node.
    `` | `boolean` | `isMethodNode()` Indicates whether this node represents a method or constructor node.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class DefaultMutableTreeNode` | `add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, equals, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getClass, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, hashCode, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, notify, notifyAll, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString, wait, wait, wait`

- - ### Property Detail

    - #### List<List<?>> properties

      Additional properties associated with this tree node.

  - ### Constructor Detail

    - #### TreeNodeWithProperties(Object userObject, List<List<?>> properties)

      Creates a tree node and attaches properties to it.

      Parameters:
        `userObject` - same as a DefaultMutableTreeNode requires
        `properties` - a list of String lists

  - ### Method Detail

    - #### String getPropertyValue(String name)

      Returns the value of the named property.

      Parameters:
        `name` - property name
      Returns:
        the property value, or `null` if absent

    - #### boolean isClassNode()

      Indicates whether this node represents a class node.

      Returns:
        `true` for class and inner class nodes

    - #### boolean isMethodNode()

      Indicates whether this node represents a method or constructor node.

      Returns:
        `true` for method and constructor nodes